%define _vardir /var/lib

Summary: Dulog
Name: dulog
Version: 0.2.8
Release: 3
License: GPL
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
Source1: dulog.cron
Packager: Konstantin Riabitsev <icon@duke.edu>
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildArch: noarch

%description
A log analyzer with modular analysis options.

%changelog
* Wed Jan 16 2002 Icon Riabitsev <icon@phy.duke.edu>
- Replaced ipchains.mod.sh and iptables.mod.pl by a unified firewall.mod.pl
  by Michael Stenner.
- Changing the default dir from /var/dulog to /var/lib/dulog for HFS
  compliance.
- SPEC file cleanups and rewrites.

* Thu Sep 06 2001 Icon Riabitsev <icon@phy.duke.edu>
- Enhancements to modules: reboots, logins
- Bugfixes to modules: annoy, imp, ipchains
- Added module: iptables by Michael Stenner
- Minor changes to the dulog script

* Mon Aug 20 2001 Icon Riabitsev <icon@phy.duke.edu>
- Bugfixes and enhancements of modules.
- IMP module added by Seth Vidal

* Wed Aug 15 2001 Icon Riabitsev <icon@phy.duke.edu>
- dropped the requirement for dulog-init.sh. Now dulog will see if offset
  files are present and if not, then it will initialize them automatically
  at the first run, and make a report based on the last 100 lines of each
  newly-initialized log (or all of them if lines < 100).
- incorporated log-rotation workarounds. If the file was log-rotated, then
  dulog will go out, find the rotated logfile, and append whichever lines
  were added to the logfile before it was rotated. This way no log entries
  go un-analyzed.
- tweaked some modules and fixed some -z bugs.

* Tue Aug 14 2001 Seth Vidal <skvidal@phy.duke.edu>
- first spec file build

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dulog
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
mkdir -p $RPM_BUILD_ROOT%{_vardir}/dulog
mkdir -p $RPM_BUILD_ROOT%{_libdir}/dulog/modules
mkdir -p $RPM_BUILD_ROOT%{_sbindir}

install -m 755 modules/* $RPM_BUILD_ROOT%{_libdir}/dulog/modules/
install -m 644 etc/* $RPM_BUILD_ROOT%{_sysconfdir}/dulog/
install -m 755 dulog $RPM_BUILD_ROOT%{_sbindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_vardir}/dulog
%dir %{_libdir}/dulog
%dir %{_libdir}/dulog/modules
%{_libdir}/dulog/modules/*
%{_sbindir}/dulog
%{_sysconfdir}/cron.daily/dulog.cron
%config %dir %{_sysconfdir}/dulog
%config(noreplace) %{_sysconfdir}/dulog/*
%doc doc/*
